# Recorded Future Documentation > Recorded Future API documentation This file lists one part of the documentation. The full index is at https://docs.recordedfuture.com/llms.txt. ## API Documentation: RiskRecon V1 - Action Plans - [This resource returns action plan configurations both automated and manual for a given TOE.](https://docs.recordedfuture.com/reference/getactionplanconfig.md): This API returns action plan configurations both automated and manual for a given TOE. The end-user needs to input the TOE ID (toe_id) for a given action plan in the API request. - [This resource sends action plan email to recipients of a TOE.](https://docs.recordedfuture.com/reference/shareactionplan.md): This API sends action plan findings to internal and external recipients. The end-user needs to input the TOE ID (toe_id) for a given action plan in the API request. Recipients and frequency are… - [This resource returns a list of finding details from an action plan of a TOE.](https://docs.recordedfuture.com/reference/getactionplanfindings.md): This API returns a list of findings for a given action plan of a TOE. The end-user needs to input the TOE ID (toe_id) for a given action plan in the API request. - [This resource tracks and reports a vendors progress in addressing action plan issues.](https://docs.recordedfuture.com/reference/actionplanissueprogress.md): RiskRecon automatically reports each vendor’s progress in addressing their action plan issues. This API returns issue progress for a given action plan. - [This resource returns a vendor's action plan issue summary.](https://docs.recordedfuture.com/reference/getactionplanissuesummary.md): This API returns a list of issue summaries for a given action plan. There are no parameters for this use case. The end-user needs to input the TOE ID (toe_id) for a given action plan in the API… - [This API returns the count of current action plan issues per their severity and priority.](https://docs.recordedfuture.com/reference/getactionplanprioritymatrix.md): This API returns the counts of action plans as per their severity and priority. Found issues are assigned a Priority and Severity index. The end-user needs to input the TOE ID (toe_id) for a given… - [This API returns the vendor status summary counts of a given action plan.](https://docs.recordedfuture.com/reference/getactionplanvendorstatussummarycounts.md): This API returns the vendor status summary counts of a given action plan. The end-user needs to input the TOE ID (toe_id) for a given action plan in the API request. In this scenario, the following… - Alerts - [This resource returns Alerting Issues from new scans in their portfolio based on the users alert settings.](https://docs.recordedfuture.com/reference/getalertingnewissues.md): This resource returns Alerting Issues from new scans in their portfolio based on the users alert settings. Alert settings can be changed at… - [This resource returns any rating/score changes from new scans in the users portfolio based on the users alert settings.](https://docs.recordedfuture.com/reference/getalertingscorechanges.md): This resource returns any rating/score changes from new scans in the users portfolio based on the users alert settings. Alert settings can be changed at… - Analyses - [:: Legacy Route Please use getToeRatings :: This resource returns the most recent `Analysis` object by the TOE identifier. Trend data is only included if `include_trend` query param is added.](https://docs.recordedfuture.com/reference/getanalysisratings.md): :: Legacy Route Please use getToeRatings :: This resource returns the most recent `Analysis` object by the TOE identifier. This includes the security domain and criteria ratings. Trend data is only… - [:: Legacy Route Please use getToeRatings :: This resource returns a collection of historical `Analysis` objects by the TOE identifier.](https://docs.recordedfuture.com/reference/gethistoricalanalysisratings.md): :: Legacy Route Please use getTOERatings :: This resource returns a collection of historical `Analysis` objects by the TOE identifier. This includes the security domain and criteria ratings for each… - Compliance - [This resource returns an list of custom and industry standards.](https://docs.recordedfuture.com/reference/getriskstandards.md): This resource returns an list of custom and industry standards. Each standard has a number of controls. Some of these will be mapped to RiskRecon security domain and criteria and will have the… - [This resource returns risk standard controls associated with a TOE id and a particular custom or industry standard.](https://docs.recordedfuture.com/reference/getriskstandardscontrols.md): This resource returns risk standard controls associated with a TOE id and a particular custom or industry standard. The risk standard id can be obtained from the /v1/compliance/{toe_id} response.… - Data Loss Events - [This resource returns a collection of `BreachEvent` objects.](https://docs.recordedfuture.com/reference/getbreachevents.md): This resource returns a collection of `DataLossEvent` objects for a portfolio. This is for the entire portfolio and has pagination unlike the data_loss_events route. - [:: Legacy Route :: This resource returns a collection of `DataLossEvent` objects.](https://docs.recordedfuture.com/reference/getdatalossevents.md): "::Legacy Route please use portfolio_data_loss_events:: This resource returns a collection of `DataLossEvent` objects for a given TOE id. This are referred to as Breach Events in the RiskRecon site." - Display Name - [This resource returns a mapping of security_criteria labels and their current display names in the RiskRecon portal.](https://docs.recordedfuture.com/reference/getcriteriadisplaynames.md): This resource returns a mapping of security_criteria labels and their current display names in the RiskRecon portal. It also includes if the security_criteria is currently rated and if it is… - [This resource returns a mapping of security_domain labels and their current display names in the RiskRecon portal.](https://docs.recordedfuture.com/reference/getdomaindisplaynames.md): This resource returns a mapping of security_domain labels and their current display names in the RiskRecon portal. It also includes if the security_domain is currently rated and if it is deprecated. - Findings - [This resource returns a list of findings for latest analysis for a given TOE.](https://docs.recordedfuture.com/reference/getpaginatedfindings.md): This use case describes how the Findings API is used to retrieve a list of findings for the latest analysis for a TOE. The toe_id is passed in the API request. In this scenario, all findings for that… - [:: Legacy Route :: This resource returns a list of findings for latest analysis for a given TOE.](https://docs.recordedfuture.com/reference/getfindings.md): ::Legacy Route please use findings_paginated:: This use case describes how the Findings API is used to retrieve a list of findings for the latest analysis for a TOE. The toe_id is passed in the API… - Hosts - [This resource returns a list of Hosts for latest analysis for a given TOE.](https://docs.recordedfuture.com/reference/gethosts.md): This resource returns a list of Hosts for latest analysis for a given TOE. This includes domain and netblock information as well. - Integration Routes - [The Integration Routes API provides a list of URLs for the security domains within the Security Profile section of the RiskRecon Portal.](https://docs.recordedfuture.com/reference/getintegrationroutes.md): The Integration Routes API provides a list of URLs for the security domains within the Security Profile section of the RiskRecon Portal. If one of the URLs is followed by an unauthenticated user,… - [The Integration Routes Details API provides a list of URLs for the detailed views within each security domain in the Security Profile and its corresponding risk_dimensions section of the RiskRecon Portal.](https://docs.recordedfuture.com/reference/getintegrationroutesdetails.md): The Integration Routes Details API provides a list of URLs for the detailed views within each security domain in the Security Profile and its corresponding risk_dimensions section of the RiskRecon… - Portfolio - [This endpoint is for requesting to add new TOEs (targets of evaluation) to your portfolio.](https://docs.recordedfuture.com/reference/bulktoerequest.md): This is a bulk request for requesting to add new TOEs (targets of evaluation) to your portfolio. The request must have at least one item but no more than 25 per request. - [This endpoint adds and updates subscription licenses for a TOE.](https://docs.recordedfuture.com/reference/changesubscription.md): This request sets the list of subscription licenses that determine whether a TOE appears in your portfolio, and for which risk dimensions. The currently available Risk Dimensions are CYBER and… - [This resource gets the customer's risk relationship folders names and slugs.](https://docs.recordedfuture.com/reference/getriskrelationshipsfolders.md): This resource gets the customer's risk relationship folders names and slugs. The slug will be used in requests that require the risk relationship. Risk relationships can be updated here… - [This resource returns the default subscription_level for bulk toe requests for your customer.](https://docs.recordedfuture.com/reference/getsubscriptionlevelconfig.md): This resource returns the default subscription_level for bulk toe requests for your customer if it has been set. This can be set if you want all /v1/portfolio/bulk_add requests to have the same… - [This resource sets the default subscription_level for bulk toe requests for your customer.](https://docs.recordedfuture.com/reference/setsubscriptionlevelconfig.md): This resource sets the default subscription_level for bulk toe requests for your customer if it has been set. This can be set if you want all /v1/portfolio/bulk_add requests to have the same… - Subsidiaries - [This route returns a collection of `Subsidiary` objects associated with a toe.](https://docs.recordedfuture.com/reference/getsubsidiariesbytoeid.md): This route returns a collection of `Subsidiary` objects associated with a toe. Any TOEs that appear to be a subsidiary of the provided TOE id are returned in the response. - Target Of Evaluation TOE - [This resource returns a collection of `TOE` objects mapped to a customer.](https://docs.recordedfuture.com/reference/gettoes.md): This API retrieves a collection of TOE objects mapped to a customer. This include overall ratings and some domain rating information for the current analysis of the provided TOE id. As a TOE can have… - [This resource gets a `TOE` object by its identifier.](https://docs.recordedfuture.com/reference/gettoesbytoeid.md): This resource gets a `TOE` object by its identifier. This include overall ratings and some domain rating information for the current analysis of the provided TOE id. - [This endpoint adds an existing TOE to the users portfolio.](https://docs.recordedfuture.com/reference/addcompanytotoebytoeid.md): This endpoint adds an existing TOE to the users portfolio. The toe_id and other information can be obtained from the /v1/toes/by_domains response. - [This endpoint allows a user to update the internal_ids and/or internal_name of an existing `TOE` by its identifier.](https://docs.recordedfuture.com/reference/updatetoesbytoeid.md): This endpoint allows a user to update the internal_ids and/or internal_name of an existing `TOE` by its identifier. These can be used to map a TOE in the RiskRecon system to an entity in the users… - [This endpoint deletes an existing TOE to the users portfolio.](https://docs.recordedfuture.com/reference/deletetoebytoeid.md): User can delete a TOE from their portfolio by providing the toe_id in endpoint. - [This resource returns a collection of `TOE` objects mapped to a customer.](https://docs.recordedfuture.com/reference/getpaginatedtoes.md): This API retrieves a collection of TOE objects mapped to a customer. This include overall ratings and some domain rating information for the current analysis of the provided TOE id. As a TOE can have… - [This endpoint allows the user to search for a TOE by a valid domain or hostname.](https://docs.recordedfuture.com/reference/gettoebydomain.md): This endpoint allows the user to search for a TOE by a valid domain or hostname. The user must provide a valid domain or hostname in domain query param. - [This endpoint allows the user to search for Company name, TOE ID by a valid CVE.](https://docs.recordedfuture.com/reference/gettoebycve.md): This endpoint allows the user to search for Company name, TOE ID by a valid CVE. The user must provide a valid cve in query param. - [Get the current or historical overall, domain and criteria ratings for a given TOE and a given risk dimension.](https://docs.recordedfuture.com/reference/gettoeratings.md): Get the current or historical overall, domain and criteria ratings for a given TOE and a given risk dimension. Privacy can only be returned if privacy is enabled for your customer and you have a… - [This endpoint moves an existing TOE from one risk relationship folder to another](https://docs.recordedfuture.com/reference/movetoerequest.md): User can move a TOE from one risk relationship folder to another by providing the toe_id and relationship folder slug in request. Relationship folder slug can be retrieved from… - Users - [The User route is used to get all the user data for one’s organization.](https://docs.recordedfuture.com/reference/getuserdata.md): The User route is used to get all the user data for one’s organization. There currently are no filters or params. - TOE Reports - [This resource allows the ordering and downloading of toe reports](https://docs.recordedfuture.com/reference/requestpdfreport.md): This endpoint provides the ordering of the following toe reports: - Executive Report - The Executive Report (executive-report) provides an executive summary of the RiskRecon ratings and security… - [This resource returns the list of active report request.](https://docs.recordedfuture.com/reference/requestpdfreportstatus.md): This resource returns all report requests submitted in the last 24 hours by the client. - [This resource returns the PDF report.](https://docs.recordedfuture.com/reference/downloadpdfreport.md): This resource gets the PDF report. - Reports - [Get portfolio ratings report](https://docs.recordedfuture.com/reference/getpaginatedportfolioratingsreport.md): Retrieves a paginated list of portfolio ratings with their changes over time - Privacy - [This resource returns a collection of `EnforcementAction` objects.](https://docs.recordedfuture.com/reference/getenforcementactions.md): This resource returns a collection of `EnforcementAction` in portfolio.